package com.saye.hospitalgd.service.impl;

import com.saye.hospitalgd.mapper.InpatientBillMapper;
import com.saye.hospitalgd.service.InpatientBillService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

/**
 * @author thuang
 * @version 1.0
 * @description: 住院账单查询服务实现
 * @date 2025/11/21
 */
@Service
public class InpatientBillServiceImpl implements InpatientBillService {

    @Autowired
    private InpatientBillMapper inpatientBillMapper;

    @Override
    public List<HashMap<Object, Object>> findHisInpatientDetail(HashMap<Object, Object> map) throws Exception {
        return inpatientBillMapper.findHisInpatientDetail(map);
    }

    @Override
    public List<HashMap<Object, Object>> findBankInpatientDetail(HashMap<Object, Object> map) throws Exception {
        return inpatientBillMapper.findBankInpatientDetail(map);
    }

    @Override
    public List<HashMap<Object, Object>> findDailySummary(HashMap<Object, Object> map) throws Exception {
        return inpatientBillMapper.findDailySummary(map);
    }
}


